curl --request POST \
--url https://api.synctera.com/v1/cards/{card_id}/digital_wallet_tokens/googlepay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"provisioning_app_version": "<string>",
"wallet_account_id": "<string>"
}
'import requests
url = "https://api.synctera.com/v1/cards/{card_id}/digital_wallet_tokens/googlepay"
payload = {
"device_id": "<string>",
"provisioning_app_version": "<string>",
"wallet_account_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: '<string>',
provisioning_app_version: '<string>',
wallet_account_id: '<string>'
})
};
fetch('https://api.synctera.com/v1/cards/{card_id}/digital_wallet_tokens/googlepay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"push_tokenize_request_data": {
"display_name": "<string>",
"last_digits": "<string>",
"network": "mastercard",
"opaque_payment_card": "<string>",
"token_service_provider": "<string>",
"user_address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
}
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create digital wallet token provision request for Google Pay
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of a card
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Request to provision digital wallet card data to pass to Google Pay digital wallet.
NB: Cannot be used outside of production.
The user’s Android device ID; the device’s unique identifier.
24The type of device into which the digital wallet token will be provisioned.
MOBILE_PHONE, TABLET, WATCH Version of the application making the provisioning request.
50The user’s Google wallet account ID.
50Response
Digital wallet token provision request data
Was this page helpful?

